function filterup
% filters ground motions which are sampled at less than dt=0.02 
% up to 0.02 seconds

clear all;
close all;

FID=fopen('Index.tcl','r');

while 1
	line = fgetl(FID);
	if ~isstr(line),break,end;
	[fn,rem] = strtok(line);
	[fp,rem] = strtok(rem);
	fv = strtok(rem);
	
	filter_it(fn);
	filter_it(fp);
	filter_it(fv);
end;
fclose(FID);

return

%---------------------------------
function filter_it (fname)
% sub routine which actually screws with the files
	info= strcat(fname,'.AT2.info');
	finfo = fopen(info,'r');
	while 1
		vals = fgetl(finfo);
		if ~isstr(vals),break,end;
		A = sscanf(vals,'%u %f %u');
	end
	fclose(finfo);
	
	if (A(2) < 0.02),
		chng=round(0.02/A(2));
		data=sprintf('load %s.AT2.data',fname);
		eval(data);
		if isempty(findstr(fname,'-')),
		    tname=fname;
		else
			tname=strrep(fname,'-','_');
		end;
		ass=sprintf('Y=resample(%s,1,%i);',tname,chng);
		eval(ass);
		data=sprintf('save %s.AT2.data Y -ascii;',fname);
		eval(data);
		msg=sprintf('Done filtering %s\n',fname);
		disp (msg);
	end;
	
	% uncomment these lines to see the comparison plots of time histories
	% these should go inside the if loop to avoid problems 
	%dt=A(2);
	%t1=dt:dt:dt*A(1);
	%t1=t1';
	%dt=0.02;
	%t2=dt:dt:dt*length(Y);
	%t2=t2';
	%data=sprintf('plot(t1,%s,t2,Y)',fname);
	%figure;
	%eval(data);

	% now update the .info files if they were modified
	if (A(2) < 0.02),
		info= strcat(fname,'.AT2.info');
		finfo = fopen(info,'w');
		fprintf(finfo,'%i\t0.0200\t%04i',length(Y),A(3));
		fclose(finfo);
	end;
	
return
